This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 856583 - engine [TEXT]: unclear error messages when trying to create a wrong format domain
engine [TEXT]: unclear error messages when trying to create a wrong format do...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.1.0
x86_64 Linux
medium Severity medium
: ---
: 3.2.0
Assigned To: Vered Volansky
Dafna Ron
storage
:
Depends On: 895601
Blocks: 915537
  Show dependency treegraph
 
Reported: 2012-09-12 07:09 EDT by Dafna Ron
Modified: 2016-02-10 14:07 EST (History)
8 users (show)

See Also:
Fixed In Version: sf3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
log (256.64 KB, application/x-xz)
2012-09-12 07:09 EDT, Dafna Ron
no flags Details

  None (edit)
Description Dafna Ron 2012-09-12 07:09:05 EDT
Created attachment 612065 [details]
log

Description of problem:

trying to create a V3 domain in a V2 DC will trigger: 

Error while executing action: ENGINE

for CanDoAction: 

VAR__ACTION__ADD,VAR__TYPE__STORAGE__DOMAIN,ACTION_TYPE_FAILED_STORAGE_DOMAIN_FORMAT_ILLEGAL_HOST,$storageFormat V3


Version-Release number of selected component (if applicable):

si17

How reproducible:

100%

Steps to Reproduce:
1. try to create a V3 domain when DC=none with a host which is part of a V2 domain 
2.
3.
  
Actual results:

unclear error: 
Error while executing action: ENGINE

Expected results:

we should have a clear error

Additional info: engine log
Comment 1 Vered Volansky 2012-09-30 08:40:57 EDT
Trying to reproduce like this:

DC 3.0
cluster 3.0
host is attached to above

When creating a V3 domain with the above host I get:

 Error: Cannot add Storage. Storage format V3 is not supported on the
 selected host version.

Does this flow comply with the above one?
Comment 2 Dafna Ron 2012-10-14 04:56:09 EDT
are you selecting DC when creating the domain or "None"?
Comment 3 Vered Volansky 2012-10-21 08:29:27 EDT
I'm selecting "None".
Comment 4 Vered Volansky 2012-11-15 06:48:33 EST
The problem occurred with the following full scenario:

DC 3.0 - iSCSI
cluster 3.0
host is attached to above
Create a V3 iSCSI detached domain with above host.

Error message corrected to:
--------------------------------------------------------------------
Error: Cannot add Storage. Storage format V3 is not supported on the
selected host version.
--------------------------------------------------------------------

The fix - http://gerrit.ovirt.org/#/c/9259/
Change-Id: I07cb27ce4c50410840032cdda06deb3b20a5aa8b
Comment 6 Dafna Ron 2013-01-15 10:59:40 EST
blocked by: https://bugzilla.redhat.com/show_bug.cgi?id=895601
Comment 7 Dafna Ron 2013-02-04 11:48:53 EST
verified on sf5


Error: Cannot add Storage. Storage format V3 is not supported on the selected host version.
Comment 8 Itamar Heim 2013-06-11 04:58:55 EDT
3.2 has been released
Comment 9 Itamar Heim 2013-06-11 04:59:00 EDT
3.2 has been released
Comment 10 Itamar Heim 2013-06-11 04:59:01 EDT
3.2 has been released
Comment 11 Itamar Heim 2013-06-11 05:00:37 EDT
3.2 has been released
Comment 12 Itamar Heim 2013-06-11 05:30:06 EDT
3.2 has been released

Note You need to log in before you can comment on or make changes to this bug.